Subject: bug#17577: 24.3.91; Error during redisplay prevent quitting.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 May 2014 22:20:58 +0300

> Date: Sat, 24 May 2014 14:29:44 -0400
> From: Ken Brown <[email-masked]>
> Cc: [email-masked]
> 
> On 5/24/2014 11:50 AM, Stefan Monnier wrote:
> > I installed the patch below into the `emacs-24' branch.
> 
> This patch is causing a problem with emacsclient, at least on Cygwin. 
> I've tested both the GTK build and the w32 build.  To reproduce:
> 
> $ emacs --daemon -Q
> Starting Emacs daemon.
> 
> $ emacsclient.exe -c
> Waiting for Emacs...
> 
> Now do `C-x 5 0' to close the client window; emacsclient is still 
> running and has to be killed from the shell.

On w32, Emacs crashed at startup.

I think I fixed this, please try the latest branch.